Bug 533171 - moodle-cron does not honor /var/lock/subsys/moodle
Summary: moodle-cron does not honor /var/lock/subsys/moodle
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: moodle
Version: el5
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-05 13:43 UTC by Milan Kerslager
Modified: 2009-11-23 16:56 UTC (History)
1 user (show)

Fixed In Version: 1.8.8-4.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-23 16:56:04 UTC


Attachments (Terms of Use)
Run the script only if /var/lock/subsys/moodle exists (364 bytes, patch)
2009-11-05 13:43 UTC, Milan Kerslager
no flags Details | Diff

Description Milan Kerslager 2009-11-05 13:43:23 UTC
Created attachment 367611 [details]
Run the script only if /var/lock/subsys/moodle exists

The /etc/init.d/moodle script is intended to enable/disable moodle-cron, but the script itself does not check /var/lock/subsys/moodle so the scrip is running all the time (every 5 minutes and is really noisy).

Please apply the patch attached to this bug.

Comment 1 Gwyn Ciesla 2009-11-05 15:51:25 UTC
How about this, which is in FC?

[ -f /var/lock/subsys/httpd ] || exit 1
+[ -f /var/lock/subsys/moodle ] && /usr/bin/php /var/www/moodle/web/admin/cron.php

Comment 2 Gwyn Ciesla 2009-11-05 15:52:00 UTC
Sorry, mis-paste:

[ -f /var/lock/subsys/moodle ] && [ -f /var/lock/subsys/httpd ] && /usr/bin/php /var/www/moodle/web/admin/cron.php

Comment 3 Milan Kerslager 2009-11-05 16:19:11 UTC
It does not matter :-)

Comment 4 Fedora Update System 2009-11-05 17:52:13 UTC
moodle-1.8.8-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/moodle-1.8.8-4.el5

Comment 5 Fedora Update System 2009-11-06 05:56:58 UTC
moodle-1.8.8-4.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update moodle'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0802

Comment 6 Fedora Update System 2009-11-23 16:55:59 UTC
moodle-1.8.8-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.